Subject: Freedom to Marry Coalition

From: [email-masked]
Date: Wed, 7 Jun 1995 17:33:01 -0400

Freedom to Marry Coalition is looking for Gay and Lesbian couples in Los
Angeles and San Fernando Valley who would legally marry if possible and who
would be willing to talk to media. Especially interested in couples of color,
interracial couples, and couples presently harmed by lack of legal benefits.
Contact Robert Ramirez at LA Gay and Lesbian Community Services Center,
213-993-7607.